"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfig = exports.configPath = void 0;
const fs_1 = require("fs");
const path_1 = __importDefault(require("path"));
exports.configPath = path_1.default.join(process.env[process.platform === 'win32' ? 'USERPROFILE' : 'HOME'], '/.diffchecker.json');
const getConfig = () => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const configFile = yield fs_1.promises.readFile(exports.configPath);
        return JSON.parse(configFile.toString());
    }
    catch (error) {
        console.error(`Could not find configuration file at ${exports.configPath}.`);
    }
});
exports.getConfig = getConfig;
