"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const opener_1 = __importDefault(require("opener"));
const yargs_1 = require("yargs");
const globalConfig_1 = __importDefault(require("./globalConfig"));
const axios_1 = __importDefault(require("axios"));
const config_1 = require("./config");
const ua_1 = __importDefault(require("./ua"));
const language_detection_1 = __importDefault(require("./language-detection"));
function transmit({ left, right, }) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const config = yield config_1.getConfig();
            const headers = {
                Authorization: 'Bearer ' + config.authToken,
            };
            const axiosResponse = yield axios_1.default.post(globalConfig_1.default.API_URL + '/diffs', {
                left,
                right,
                expiry: yargs_1.argv.expires || yargs_1.argv.e || 'forever',
                title: yargs_1.argv.title || null,
            }, { headers: headers });
            const url = `${globalConfig_1.default.WEB_URL}/${yield axiosResponse.data.slug}`;
            const language = language_detection_1.default(left);
            ua_1.default.event({
                ec: 'Diffs',
                ea: 'Written in',
                el: language,
            });
            ua_1.default.event({
                ec: 'Diffs',
                ea: 'Submitted from',
                el: 'CLI',
            }, function diffCreateError() {
                console.log('Your diff is ready: ' + url);
                opener_1.default(url, () => {
                    process.exit();
                });
            });
        }
        catch (e) {
            console.error(e.message);
            process.exit(1);
        }
    });
}
exports.default = transmit;
