import { promises as fsPromises } from 'fs';
import path from 'path';

export const configPath = path.join(
  process.env[process.platform === 'win32' ? 'USERPROFILE' : 'HOME'],
  '/.diffchecker.json',
);

export const getConfig = async (): Promise<Record<string, any>> => {
  try {
    const configFile = await fsPromises.readFile(configPath);
    return JSON.parse(configFile.toString());
  } catch (error) {
    console.error(`Could not find configuration file at ${configPath}.`);
  }
};
